<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Bug-Tracker - My Project</title>

  <!-- Custom fonts for this template-->

  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css" rel="stylesheet"
    type="text/css">
  
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.2/animate.min.css">
  <link
    href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
    rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="/css/index.css" rel="stylesheet">
  <link href="/project/css/project.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

   
    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

        </nav>
        <!-- End of Topbar -->

        <!-- Main Content-->

        <!-- Begin Page Content -->
        <div class="main-content">
          <div class="row justify-content-center" id="loading">
            <div class="spinner-border" role="status">
              <span class="sr-only">Loading...</span>
            </div>
          </div>

          <div class="container-fluid d-none">
            <!-- Project Basic Information -->
            <div class="d-sm-flex align-items-center justify-content-between mb-3">
              <h1 class="h3 mb-0 text-gray-800 d-flex flex-wrap"><span id="project-name"
                  class='mr-1 d-flex align-items-center'>Project Name</span>
                <div id="trigger-edit-projectInfo" class="text-white d-none mb-2">
                  <a href="#" class="btn btn-info btn-circle">
                    <i class="fas fa-edit"></i>
                  </a>
                </div>
              </h1>
              <div id="project-status" class="text-lg text border-danger">No status <i
                  class="fab fa-dev text-danger"></i></div>
            </div>
            <div id="project-created_by" class="text-gray-600 mb-3">Created By: 2020-01-20</div>
            <div id="project-last-update" class="text-gray-600 mb-3">testing description</div>
            <div id="project-description" class="text-lg text-gray-800 mb-4">testing description</div>
            <div id="edit-buttons-container" class="d-none">
              <div class="text-white mb-4 d-sm-flex justify-content-between">
                <div id="save-cancel">
                  <a id="save-project" href="#" class="btn btn-info btn-icon-split text-xs mr-1">
                    <span class="icon text-white">
                      <i class="fas fa-cloud-upload-alt"></i>
                    </span>
                    <span class="text">Save</span>
                  </a><a id="cancel-project" href="#" class="btn btn-danger btn-icon-split text-xs mr-1">
                    <span class="icon text-white">
                      <i class="far fa-window-close"></i>
                    </span>
                    <span class="text">Cancel</span>
                  </a>
                </div>
                <div>
                  <a href="#" class="btn btn-warning btn-icon-split text-xs mr-1" data-toggle="modal"
                    data-target="#deleteModal">
                    <span class="icon text-white">
                      <i class="far fa-trash-alt"></i>
                    </span>
                    <span class="text">Delete</span>
                  </a>
                </div>
              </div>
            </div>

            <!-- Members -->
            <div class="row mb-4">
              <div class="col-md-6">
                <div class="card shadow mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#for-collapse-member" class="d-block card-header py-3" data-toggle="collapse" role="button"
                    aria-expanded="true" aria-controls="for-collapse-member">
                    <h6 class="m-0 font-weight-bold text-gray-800">Members </h6>
                  </a>
                  <!-- Card Content - Collapse -->

                  <div class="collapse show" id="for-collapse-member">
                    <div class="d-flex">
                      <div id="trigger-edit-member" class="text-white text-xs d-none pt-2 ml-2">
                        <a href="#" class="btn btn-info btn-icon-split text-xs mr-1" id="trigger-edit-member">
                          <span class="icon text-white">
                            <i class="fas fa-edit"></i>
                          </span>
                          <span class="text">Edit</span>
                        </a>
                      </div>
                      
                        <div class="pt-2 ml-2">
                          <a href="#" class="btn btn-success btn-icon-split text-xs mr-1 d-none" data-toggle="modal"
                            data-target="#add-members-modal" id = "add-members">
                            <span class="icon text-white">
                              <i class="fas fa-user-plus"></i>
                            </span>
                            <span class="text">Add members</span>
                          </a>
                        </div>
                      
                    </div>

                    <div class="card-body" id="members-collapse">
                      <div class="d-flex justify-content-between member mb-1">
                        <div class="member-name"> I am 2</div>
                        <div class=" d-flex member-edit">
                          <div class="member-role"> Junior</div>
                          <a href="#" class="member-remove text-danger"> <i class="fas fa-user-slash"></i> </a>
                        </div>
                      </div>

                      <div class="d-flex justify-content-between member">
                        <div class="member-name"> I am 2</div>
                        <div class=" d-flex member-edit">
                          <div class="member-role"> Junior</div>
                          <div class="member-remove"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div id="action-button-member" class="mb-4 d-none">
              <div class="text-white mb-4 d-sm-flex justify-content-between">
                <div id="save-cancel-member">
                  <a id="save-member" href="#" class="btn btn-info btn-icon-split text-xs mr-1">
                    <span class="icon text-white">
                      <i class="fas fa-cloud-upload-alt"></i>
                    </span>
                    <span class="text">Save</span>
                  </a><a id="cancel-member" href="#" class="btn btn-danger btn-icon-split text-xs mr-1">
                    <span class="icon text-white">
                      <i class="far fa-window-close"></i>
                    </span>
                    <span class="text">Cancel</span>
                  </a>
                </div>
              </div>
            </div>
            <!-- End of Members -->

            <!-- Report -->
            <div class="row mb-4">
              <div class="col-12">
                <div class="card shadow mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#report-collapse" class="d-block card-header py-3" data-toggle="collapse" role="button"
                    aria-expanded="true" aria-controls="collapseCardExample">
                    <h6 class="m-0 font-weight-bold text-gray-800">Tickets Overview</h6>
                  </a>
                  <!-- Card Content - Collapse -->
                  <div class="row">
                    <div class="col-md-6">
                      <div class="collapse show" id="report-collapse">
                        <div class="card-body">
                          <div class="card mb-2">
                            <!-- Card Header - Dropdown -->
                            <!-- <div class="p-3">
                                <h6 class="m-0 font-weight-bold text-primary">Tickets in chart</h6>
                              </div> -->
                            <!-- Card Body -->
                            <!-- Report 1 -->
                            <div class="card-body">
                              <div class="chart-pie pt-4">
                                <canvas id="myPieChart"></canvas>
                              </div>
                              <hr>
                              Tickets overview in chart. Showing the overall tickets status.
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="collapse show" id="report-collapse">
                        <div class="row card-body">

                          <!-- Unassigned Tickets count -->
                          <div class="col-xl-4  col-lg-6 col-md-12 mb-4">
                            <div class="card border-left-danger shadow h-100 py-2">
                              <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                  <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Unassigned
                                      Tickets</div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800" id="unassigned-tickets-count">0
                                    </div>
                                  </div>
                                  <div class="col-auto">
                                    <i class="fas fa-bomb fa-2x text-gray-300"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- Open Tickets count -->
                          <div class="col-xl-4  col-lg-6 col-md-12 mb-4">
                            <div class="card border-left-warning shadow h-100 py-2">
                              <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                  <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Open Tickets
                                    </div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800" id="open-tickets-count">0</div>
                                  </div>
                                  <div class="col-auto">
                                    <i class="fas fa-exclamation fa-2x text-gray-300"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- In progress Ticket count -->
                          <div class="col-xl-4  col-lg-6 col-md-12 mb-4">
                            <div class="card border-left-info shadow h-100 py-2">
                              <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                  <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-info text-uppercase mb-1">In progress
                                    </div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800" id="in-progress-tickets-count">0
                                    </div>
                                  </div>
                                  <div class="col-auto">
                                    <i class="fas fa-tasks fa-2x text-gray-300"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- Closed Tickets count -->
                          <div class="col-xl-4  col-lg-6 col-md-12 mb-4">
                            <div class="card border-left-success shadow h-100 py-2">
                              <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                  <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Closed
                                      Tickets</div>
                                    <div class="row no-gutters align-items-center">
                                      <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800"
                                          id='closed-tickets-percentage'>0%</div>
                                      </div>
                                      <div class="col">
                                        <div class="progress progress-sm mr-2">
                                          <div class="progress-bar bg-success" role="progressbar" style="width: 0%"
                                            aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-auto">
                                    <i class="fas fa-clipboard-check fa-2x text-gray-300"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <!-- Total Tickets count -->
                          <div class="col-xl-4  col-lg-6 col-md-12 mb-4">
                            <div class="card border-left-success shadow h-100 py-2">
                              <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                  <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Total
                                      Tickets</div>
                                    <div class="row no-gutters align-items-center">
                                      <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800"
                                          id='total-tickets-count'>123</div>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-auto">
                                    <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- End of Report -->
            <!-- Tickets part -->
            <div class="row" id="tickets-container">
              <div class="col-lg-3 col-md-6">
                <div class="card  bg-transparent border-0 mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#collapse-col-unassigned" class="d-block card-header py-3 border-0 bg-gradient-danger"
                    data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapse-col-unassigned">
                    <h6 class="m-0 font-weight-bold text-gray-800">Unassigned Tickets</h6>
                  </a>
                  <!-- Card Content - Collapse -->
                  <div class="collapse show" id="collapse-col-unassigned">
                    <div class="card-body border-0 bg-transparent px-0" id="column-unassigned">

                      <div class="card shadow mb-4 tickets">

                      </div>


                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6">
                <div class="card  bg-transparent border-0 mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#collapse-col-open" class="d-block card-header py-3 border-0 bg-gradient-warning"
                    data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapse-col-open">
                    <h6 class="m-0 font-weight-bold text-primary">OPEN TICKETS</h6>
                  </a>
                  <!-- Card Content - Collapse -->
                  <div class="collapse show" id="collapse-col-open">
                    <div class="card-body border-0 bg-transparent px-0" id="column-open">

                      <div class="card shadow mb-4 tickets">

                      </div>

                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6">
                <div class="card  bg-transparent border-0 mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#collapse-col-in-progress" class="d-block card-header py-3 border-0 bg-gradient-info"
                    data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapse-col-in-progress">
                    <h6 class="m-0 font-weight-bold text-primary">In progress Tickets</h6>
                  </a>
                  <!-- Card Content - Collapse -->
                  <div class="collapse show" id="collapse-col-in-progress">
                    <div class="card-body border-0 bg-transparent px-0" id="column-in-progress">

                      <div class="card shadow mb-4 tickets">

                      </div>

                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6">
                <div class="card  bg-transparent border-0 mb-4">
                  <!-- Card Header - Accordion -->
                  <a href="#collapse-col-close" class="d-block card-header py-3 border-0 bg-gradient-success"
                    data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapse-col-close">
                    <h6 class="m-0 font-weight-bold text-primary">Closed Tickets</h6>
                  </a>
                  <!-- Card Content - Collapse -->
                  <div class="collapse show" id="collapse-col-close">
                    <div class="card-body border-0 bg-transparent px-0" id="column-closed">

                      <div class="card shadow mb-4 tickets">

                      </div>

                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- End of Tickets part -->
            <!-- /.container-fluid -->
          </div>
        </div>
        <!-- End of Main Content -->



      </div>
      <!-- End of Content Wrapper -->
      <!-- Footer -->
      <footer class="sticky-footer bg-white custom-footer">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Bug-Tracker 2020</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>
    <!-- Delete Modal -->
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Warning! Delete Project!</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Are you sure you want to delete the project?</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="#" id="delete-project-button">Delete</a>
          </div>
        </div>
      </div>
    </div>
    <!-- Add members modal -->
    <div class="modal fade" id="add-members-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document" id="modal-dialog-add-members">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="addMembersModalLabel">Add members to your project</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="row justify-content-center" id="loading-add-members">
          <div class="spinner-border" role="status">
            <span class="sr-only">Loading...</span>
          </div>
        </div>
        <input class = "border-top-0" type="text" id="search-from-all-members" name="search-from-all-members" placeholder="Search">
        <div class="modal-body" id="modal-body-add-members">Are you sure you want to delete the project?</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

    <!-- Core plugin JavaScript-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
   <!--  <script src="https://code.jquery.com/jquery-3.4.1.js"
      integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script> -->
    <!-- Bootstrap core JavaScript-->
<!--     <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
      integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
      crossorigin="anonymous"></script> -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
      integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
      crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
      integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
      crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
    <!--NEW-->
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>








    <!-- Custom scripts for all pages-->
    <script src="/js/index.js"></script>
    <script src="/project/js/project.js"></script>
    <script src="/project/js/projectChart.js"></script>
    <script src="/user/js/getSingleUserInfo.js"></script>


</body>

</html>